Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanAttributeInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanAttributeInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ModelMBeanAttributeInfo, OpenMBeanAttributeInfoSupport

public class MBeanAttributeInfo
extends MBeanFeatureInfo
implements java.io.Serializable, java.lang.Cloneable

Describes an MBean attribute exposed for management. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanAttributeInfo(java.lang.String name, java.lang.String description, java.lang.reflect.Method getter, java.lang.reflect.Method setter)` This constructor takes the name of a simple attribute, and Method objects for reading and writing the attribute.
`MBeanAttributeInfo(java.lang.String name, java.lang.String type, java.lang.String description, boolean isReadable, boolean isWritable, boolean isIs)` Constructs an `MBeanAttributeInfo` object.

Method Summary
`java.lang.Object` | `clone()` Returns a shallow clone of this instance.
`boolean` | `equals(java.lang.Object o)` Compare this MBeanAttributeInfo to another.
`java.lang.String` | `getType()` Returns the class name of the attribute.
`int` | `hashCode()`
`boolean` | `isIs()` Indicates if this attribute has an "is" getter.
`boolean` | `isReadable()` Whether the value of the attribute can be read.
`boolean` | `isWritable()` Whether new values can be written to the attribute.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanAttributeInfo

    public MBeanAttributeInfo(java.lang.String name,
                              java.lang.String type,
                              java.lang.String description,
                              boolean isReadable,
                              boolean isWritable,
                              boolean isIs)
                       throws java.lang.IllegalArgumentException

  Constructs an `MBeanAttributeInfo` object.

Parameters:
  `name` - The name of the attribute.
  `type` - The type or class name of the attribute.
  `description` - A human readable description of the attribute.
  `isReadable` - True if the attribute has a getter method, false otherwise.
  `isWritable` - True if the attribute has a setter method, false otherwise.
  `isIs` - True if this attribute has an "is" getter, false otherwise.

### MBeanAttributeInfo

    public MBeanAttributeInfo(java.lang.String name,
                              java.lang.String description,
                              java.lang.reflect.Method getter,
                              java.lang.reflect.Method setter)
                       throws IntrospectionException

  This constructor takes the name of a simple attribute, and Method objects for reading and writing the attribute.

Parameters:
  `name` - The programmatic name of the attribute.
  `description` - A human readable description of the attribute.
  `getter` - The method used for reading the attribute value. May be null if the property is write-only.
  `setter` - The method used for writing the attribute value. May be null if the attribute is read-only.
Throws:
  `IntrospectionException` - There is a consistency problem in the definition of this attribute.

Method Detail

### clone

    public java.lang.Object clone()

  Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

  Since this class is immutable, cloning is chiefly of interest to subclasses.

### getType

    public java.lang.String getType()

  Returns the class name of the attribute.

  Returns:
    the class name.

### isReadable

    public boolean isReadable()

  Whether the value of the attribute can be read.

  Returns:
    True if the attribute can be read, false otherwise.

### isWritable

    public boolean isWritable()

  Whether new values can be written to the attribute.

  Returns:
    True if the attribute can be written to, false otherwise.

### isIs

    public boolean isIs()

  Indicates if this attribute has an "is" getter.

  Returns:
    true if this attribute has an "is" getter.

### equals

    public boolean equals(java.lang.Object o)

  Compare this MBeanAttributeInfo to another.

  Overrides:
    `equals` in class `MBeanFeatureInfo`
  Parameters:
    `o` - the object to compare to.
  Returns:
    true iff `o` is an MBeanAttributeInfo such that its `MBeanFeatureInfo.getName()`, `getType()`, `MBeanFeatureInfo.getDescription()`, `isReadable()`, `isWritable()`, and `isIs()` values are equal (not necessarily identical) to those of this MBeanAttributeInfo.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.